package com.red.circle.other.domain.model.user;


import com.red.circle.tool.core.text.StringUtils;

/**
 * @author pengliang on 2020/4/20 12:07
 */
public interface UserConstant {

  /**
   * 账号前缀
   */
  String ACCOUNT_PREFIX = "df_";

  /**
   * 随机生成系统账号
   *
   * @return str
   */
  static String genRandomNickname() {
    return ACCOUNT_PREFIX.concat(StringUtils.getRandomString(13));
  }

  /**
   * 是否是系统账号
   *
   * @param nickname 用户名
   * @return true/false
   */
  static boolean isRandomNickname(String nickname) {
    return nickname.startsWith(ACCOUNT_PREFIX) && nickname.length() == 16;
  }

  /**
   * 是否是默认头像.
   */
  static boolean isDefaultAvatar(String avatar) {
    return avatar != null && avatar.contains("default_avatar");
  }

}
